clc, clear, close all;

load('basedatosdigitos.mat')
load('spiking_no_lineal')

% % % load('ABC_Numeros_Spiking_No_1.mat')
% % % load('ABC_Numeros_Spiking_No_2.mat')
load('ABC_Numeros_Spiking_No_3.mat')

etiqueta = normalizado(:,17);
label    = num2cell(num2str(etiqueta));
v        = double(categorical(label));
c        = full(sparse(1:numel(v),v,ones(size(v)),numel(v),10));
cc       = dato2color(c);

figure, hold on
scatter3(PCA(:,1), PCA(:,2), PCA(:,3), 15, cc, 'filled')
% scatter3(PCA_n(:,1), PCA_n(:,2), PCA_n(:,3), 15, cc, 'filled')
title('3-D Embedding')
view(-50,8)
hold off


%% Cluster k_means para obtener la dispersionde error
% Aqui se realiza para la base de datos n'umeros con neurona spiking de
% tipo no lineal

[idx, C, sumd, D] = kmeans(PCA,10,'Distance','cityblock', 'Replicates',5);

figure;
plot(PCA(idx==1,1),PCA(idx==1,2),'r.','MarkerSize',12)
hold on
plot(PCA(idx==2,1),PCA(idx==2,2),'g.','MarkerSize',12)
plot(PCA(idx==3,1),PCA(idx==3,2),'b.','MarkerSize',12)
plot(C(:,1),C(:,2),'kx', 'MarkerSize',15,'LineWidth',3) 
legend('Cluster 1','Cluster 2','Cluster 3', 'Location','NW')
title 'Cluster Assignments and Centroids'
hold off

figure,
scatter3(PCA(:,1), PCA(:,2), PCA(:,3), 15, idx, 'filled');
hold on
plot3(C(:,1),C(:,2), C(:,3),'rx', 'MarkerSize',15,'LineWidth',3)
view(-50,8)
hold off





